Viewing 6 posts - 1 through 6 (of 6 total)
  • Author
  • #299051

    Hi there,

    I’ve just updated my website from version 1.5 to 1.8 and copied over all of the files that are listed in the versions document from 1.5 on. For some reason, the functions.php file is not playing nicely and gives my site a 500 internal server error. Can anyone help me with this? What’s contained in the functions.php update that I need? Is it critical that I replace this file?



    Hey lifeinbeats!

    The 500 internal server error is very generic and without additional details we don’t know what causes it. Please try to activate the WordPress debug mode: and check if wordpress outputs any errors.



    Hi there, figured out how to debug and got this in the log:

    [11-Aug-2014 20:39:06 UTC] PHP Warning: require_once(config-wpml/config.php): failed to open stream: No such file or directory in /hermes/bosoraweb120/b473/ipg.lifeinbeats/joshuayoung/wp-content/themes/angular/functions.php on line 10
    [11-Aug-2014 20:39:06 UTC] PHP Fatal error: require_once(): Failed opening required ‘config-wpml/config.php’ (include_path=’.:/usr/local/lib/php-5.3.13/lib/php’) in /hermes/bosoraweb120/b473/ipg.lifeinbeats/joshuayoung/wp-content/themes/angular/functions.php on line 10



    Try re-uploading the theme files over FTP so that the missing files are replaced/added in as needed. You can also check line 10 and follow it back to your online config-wpml folder to make sure the config.php is there.

    Best regards,


    Oh, well yeah, I don’t have the config-wpml folder because it wasn’t listed in the changelog of files to copy/replace. Might want to check on that! Thanks for your help though.


    Nevermind, my bad. It was in the 1.5 version update. Strange, though, because that’s my original theme version. Oh well. Figured it out!

Viewing 6 posts - 1 through 6 (of 6 total)

The topic ‘Update Interal Server Error 500’ is closed to new replies.